package com.huiju.estateagents.sample.entity;

import com.baomidou.mybatisplus.annotation.FieldStrategy;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 联系人表 
 * </p>
 *
 * @author fxf
 * @since 2020-03-18
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TaContact implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 联系人id
     */
    @TableId(value = "contact_id", type = IdType.AUTO)
    private Integer contactId;

    /**
     * 姓名
     */
    private String contactName;

    /**
     * 性别 1男2女
     */
    private Integer sex;

    /**
     * 创建时间
     */
    private LocalDateTime createDate;

    /**
     * 头像
     */
    private String avatar;

    /**
     * 对外头衔
     */
    private String appellation;

    /**
     * 固定电话
     */
    private String telephone;

    /**
     * 手机号
     */
    private String phone;

    /**
     * 微信号图片
     */
    private String wxCardImg;

    /**
     * 邮箱
     */
    private String mail;

    /**
     * 联系地址
     */
    private String address;

    /**
     * 内部岗位
     */
    private String job;

    /**
     * 权重
     */
    @TableField(strategy = FieldStrategy.IGNORED)
    private String orderNo;

    /**
     * 状态 -1删除0作废1有效
     */
    private Integer status;

    /**
     * 联系人类型 此版本全部固定sample
     */
    @TableField(strategy = FieldStrategy.IGNORED)
    private String contactType;


}
